DbLockNotGrantedException (Sleepycat Software, Inc. - Berkeley DB Java API)
Keywords: com.sleepycat.db.DbLockNotGrantedException,DbLockNotGrantedException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class DbLockNotGrantedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.sleepycat.db.DbException
                        |
                        +--com.sleepycat.db.DbLockNotGrantedException

All Implemented Interfaces:
  Serializable

public class DbLockNotGrantedException
extends DbException

This information describes the DbLockNotGrantedException class and how it is used by the various Db* classes.

A DbLockNotGrantedException is thrown when a lock, requested using the `DbEnv.lockGet` or `DbEnv.lockVector` methods, where the `Db.DB_LOCK_NOWAIT` option was specified, is unable to be granted immediately.

See Also:
  Serialized Form

Method Summary
`int` | `get_index()` Deprecated. As of Berkeley DB 4.2, replaced by `getIndex()`
`DbLock` | `get_lock()` Deprecated. As of Berkeley DB 4.2, replaced by `getLock()`
`int` | `get_mode()` Deprecated. As of Berkeley DB 4.2, replaced by `getMode()`
`Dbt` | `get_obj()` Deprecated. As of Berkeley DB 4.2, replaced by `getObj()`
`int` | `get_op()` Deprecated. As of Berkeley DB 4.2, replaced by `getOp()`
`int` | `getIndex()` The getIndex method returns -1 when `DbEnv.lockGet` was called, and returns the index of the failed DbLockRequest when `DbEnv.lockVector` was called.
`DbLock` | `getLock()` The getLock method returns null when `DbEnv.lockGet` was called, and returns the lock in the failed DbLockRequest when `DbEnv.lockVector` was called.
`int` | `getMode()` The getMode method returns the mode parameter when `DbEnv.lockGet` was called, and returns the mode for the failed DbLockRequest when `DbEnv.lockVector` was called.
`Dbt` | `getObj()` The getObj method returns the mode parameter when returns the object parameter when `DbEnv.lockGet` was called, and returns the object for the failed DbLockRequest when `DbEnv.lockVector` was called.
`int` | `getOp()` The getOp method returns 0 when `DbEnv.lockGet` was called, and returns the op for the failed DbLockRequest when `DbEnv.lockVector` was called.

Methods inherited from class com.sleepycat.db.DbException
`get_errno, getDbEnv, getErrno, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getIndex

    public int getIndex()

  The getIndex method returns -1 when `DbEnv.lockGet` was called, and returns the index of the failed DbLockRequest when `DbEnv.lockVector` was called.

  Returns:
    The getIndex method returns -1 when `DbEnv.lockGet` was called, and returns the index of the failed DbLockRequest when `DbEnv.lockVector` was called.

### getLock

    public DbLock getLock()

  The getLock method returns null when `DbEnv.lockGet` was called, and returns the lock in the failed DbLockRequest when `DbEnv.lockVector` was called.

  Returns:
    The getLock method returns null when `DbEnv.lockGet` was called, and returns the lock in the failed DbLockRequest when `DbEnv.lockVector` was called.

### getMode

    public int getMode()

  The getMode method returns the mode parameter when `DbEnv.lockGet` was called, and returns the mode for the failed DbLockRequest when `DbEnv.lockVector` was called.

  Returns:
    The getMode method returns the mode parameter when `DbEnv.lockGet` was called, and returns the mode for the failed DbLockRequest when `DbEnv.lockVector` was called.

### getObj

    public Dbt getObj()

  The getObj method returns the mode parameter when returns the object parameter when `DbEnv.lockGet` was called, and returns the object for the failed DbLockRequest when `DbEnv.lockVector` was called.

  Returns:
    The getObj method returns the mode parameter when returns the object parameter when `DbEnv.lockGet` was called, and returns the object for the failed DbLockRequest when `DbEnv.lockVector` was called.

### getOp

    public int getOp()

  The getOp method returns 0 when `DbEnv.lockGet` was called, and returns the op for the failed DbLockRequest when `DbEnv.lockVector` was called.

  Returns:
    The getOp method returns 0 when `DbEnv.lockGet` was called, and returns the op for the failed DbLockRequest when `DbEnv.lockVector` was called.

### get_index

    public int get_index()

  Deprecated. As of Berkeley DB 4.2, replaced by `getIndex()`

  Returns:
    Description of the Return Value

### get_lock

    public DbLock get_lock()

  Deprecated. As of Berkeley DB 4.2, replaced by `getLock()`

  Returns:
    Description of the Return Value

### get_mode

    public int get_mode()

  Deprecated. As of Berkeley DB 4.2, replaced by `getMode()`

  Returns:
    Description of the Return Value

### get_obj

    public Dbt get_obj()

  Deprecated. As of Berkeley DB 4.2, replaced by `getObj()`

  Returns:
    Description of the Return Value

### get_op

    public int get_op()

  Deprecated. As of Berkeley DB 4.2, replaced by `getOp()`

  Returns:
    Description of the Return Value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.